So, I'm one of those gents that dual boots Windoze Vista and Linux Ubuntu. Now, as some of you know, the new Catalyst ATi drivers were released, the 8.5s. So I said great! I'll hop on Linux and snag them through Envy!

The only issue is when Envy attempts to download the drivers, it downloads the 8.3s, I know this because I can see it in Envy's terminal while it's downloading.

What gives? is there anyway to fix this? or do I have to install the drivers on my own and manually configure my Xorg.conf?

Edit: I'm using 7.10 (Gutsy) if that's any use.